> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conductor.is/llms.txt
> Use this file to discover all available pages before exploring further.

# List all deleted transactions

> Lists deleted transactions of the specified type(s) (e.g., invoice, bill, estimate) in the last 90 days. Results are grouped by transaction type and ordered by actual delete time (ascending). NOTE: For deleted non-transaction list-objects (e.g., customer, vendor, employee), see the deleted-list-objects endpoint.



## OpenAPI

````yaml GET /quickbooks-desktop/deleted-transactions
openapi: 3.1.0
info:
  title: Conductor API
  version: 0.0.1
servers:
  - url: https://api.conductor.is/v1
security:
  - BearerAuth: []
paths:
  /quickbooks-desktop/deleted-transactions:
    get:
      summary: List all deleted transactions
      description: >-
        Lists deleted transactions of the specified type(s) (e.g., invoice,
        bill, estimate) in the last 90 days. Results are grouped by transaction
        type and ordered by actual delete time (ascending). NOTE: For deleted
        non-transaction list-objects (e.g., customer, vendor, employee), see the
        deleted-list-objects endpoint.
      parameters:
        - in: query
          name: transactionTypes
          description: Filter for deleted transactions by their transaction type(s).
          schema:
            type: array
            description: Filter for deleted transactions by their transaction type(s).
            example:
              - invoice
            items:
              type: string
              enum:
                - ar_refund_credit_card
                - bill
                - bill_payment_check
                - bill_payment_credit_card
                - build_assembly
                - charge
                - check
                - credit_card_charge
                - credit_card_credit
                - credit_memo
                - deposit
                - estimate
                - inventory_adjustment
                - invoice
                - item_receipt
                - journal_entry
                - purchase_order
                - receive_payment
                - sales_order
                - sales_receipt
                - sales_tax_payment_check
                - time_tracking
                - transfer_inventory
                - vehicle_mileage
                - vendor_credit
          required: true
        - in: query
          name: deletedAfter
          description: >-
            Filter for deleted transactions deleted on or after this date/time,
            within the last 90 days (QuickBooks limit). Accepts the following
            ISO 8601 formats:

            - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
            date as the **start of the specified day** in the local timezone of
            the end-user's computer (e.g., `2025-01-01` →
            `2025-01-01T00:00:00`).

            - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
            Desktop interprets the timestamp in the local timezone of the
            end-user's computer.

            - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
            QuickBooks Desktop interprets the timestamp using the specified
            timezone.
          schema:
            type: string
            description: >-
              Filter for deleted transactions deleted on or after this
              date/time, within the last 90 days (QuickBooks limit). Accepts the
              following ISO 8601 formats:

              - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
              date as the **start of the specified day** in the local timezone
              of the end-user's computer (e.g., `2025-01-01` →
              `2025-01-01T00:00:00`).

              - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
              Desktop interprets the timestamp in the local timezone of the
              end-user's computer.

              - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
              QuickBooks Desktop interprets the timestamp using the specified
              timezone.
            example: '2025-01-01T12:34:56.000Z'
        - in: query
          name: deletedBefore
          description: >-
            Filter for deleted transactions deleted on or before this date/time,
            within the last 90 days (QuickBooks limit). Accepts the following
            ISO 8601 formats:

            - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
            date as the **end of the specified day** in the local timezone of
            the end-user's computer (e.g., `2025-01-01` →
            `2025-01-01T23:59:59`).

            - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
            Desktop interprets the timestamp in the local timezone of the
            end-user's computer.

            - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
            QuickBooks Desktop interprets the timestamp using the specified
            timezone.
          schema:
            type: string
            description: >-
              Filter for deleted transactions deleted on or before this
              date/time, within the last 90 days (QuickBooks limit). Accepts the
              following ISO 8601 formats:

              - **date-only** (YYYY-MM-DD) - QuickBooks Desktop interprets the
              date as the **end of the specified day** in the local timezone of
              the end-user's computer (e.g., `2025-01-01` →
              `2025-01-01T23:59:59`).

              - **datetime without timezone** (YYYY-MM-DDTHH:mm:ss) - QuickBooks
              Desktop interprets the timestamp in the local timezone of the
              end-user's computer.

              - **datetime with timezone** (YYYY-MM-DDTHH:mm:ss±HH:mm) -
              QuickBooks Desktop interprets the timestamp using the specified
              timezone.
            example: '2025-02-01T12:34:56.000Z'
        - in: header
          name: Conductor-End-User-Id
          description: The ID of the End-User to receive this request.
          schema:
            type: string
            description: The ID of the End-User to receive this request.
            example: end_usr_1234567abcdefg
            x-stainless-naming:
              typescript:
                method_argument: conductorEndUserId
              mcp:
                method_argument: conductorEndUserId
          required: true
      responses:
        '200':
          description: Returns a list of deleted transactions.
          headers:
            Conductor-Request-Id:
              schema:
                type: string
                description: The unique identifier for this API request.
                example: req_1234567abcdefg
              required: true
          content:
            application/json:
              schema:
                type: object
                properties:
                  objectType:
                    type: string
                    const: list
                    description: The type of object. This value is always `"list"`.
                    example: list
                  url:
                    type: string
                    description: The endpoint URL where this list can be accessed.
                    example: /v1/quickbooks-desktop/deleted-transactions
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/qbd_deleted_transaction'
                    description: The array of deleted transactions.
                required:
                  - objectType
                  - url
                  - data
                additionalProperties: false
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Conductor from 'conductor-node';


            const conductor = new Conductor({
              apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
            });


            const deletedTransactions = await
            conductor.qbd.deletedTransactions.list({
              transactionTypes: ['invoice'],
              conductorEndUserId: 'end_usr_1234567abcdefg',
            });


            console.log(deletedTransactions.data);
        - lang: Python
          source: |-
            import os
            from conductor import Conductor

            conductor = Conductor(
                api_key=os.environ.get("CONDUCTOR_SECRET_KEY"),  # This is the default and can be omitted
            )
            deleted_transactions = conductor.qbd.deleted_transactions.list(
                transaction_types=["invoice"],
                conductor_end_user_id="end_usr_1234567abcdefg",
            )
            print(deleted_transactions.data)
components:
  schemas:
    qbd_deleted_transaction:
      type: object
      properties:
        transactionType:
          type: string
          enum:
            - ar_refund_credit_card
            - bill
            - bill_payment_check
            - bill_payment_credit_card
            - build_assembly
            - charge
            - check
            - credit_card_charge
            - credit_card_credit
            - credit_memo
            - deposit
            - estimate
            - inventory_adjustment
            - invoice
            - item_receipt
            - journal_entry
            - purchase_order
            - receive_payment
            - sales_order
            - sales_receipt
            - sales_tax_payment_check
            - time_tracking
            - transfer_inventory
            - vehicle_mileage
            - vendor_credit
          description: The type of deleted transaction.
          example: invoice
        id:
          type: string
          description: >-
            The unique identifier assigned by QuickBooks to this deleted
            transaction. This ID is unique across all transaction types.
          example: 123ABC-1234567890
        objectType:
          type: string
          const: qbd_deleted_transaction
          description: >-
            The type of object. This value is always
            `"qbd_deleted_transaction"`.
          example: qbd_deleted_transaction
        createdAt:
          type: string
          description: >-
            The date and time when this deleted transaction was created, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-01-01T12:34:56.000Z'
        deletedAt:
          type: string
          description: >-
            The date and time when this deleted transaction was deleted, in ISO
            8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop
            interprets in the local timezone of the end-user's computer.
          example: '2025-02-01T12:34:56.000Z'
        refNumber:
          type:
            - string
            - 'null'
          description: >-
            The case-sensitive user-defined reference number for this deleted
            transaction, which can be used to identify the transaction in
            QuickBooks. This value is not required to be unique and can be
            arbitrarily changed by the QuickBooks user.
          example: INV-1234
      required:
        - transactionType
        - id
        - objectType
        - createdAt
        - deletedAt
        - refNumber
      additionalProperties: false
      title: The Deleted Transaction object
      x-conductor-object-type: transaction
      summary: >-
        A deleted transaction represents a QuickBooks transaction (e.g.,
        invoice, bill, estimate) that has been deleted from the company file.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your Conductor secret key using Bearer auth (e.g., `"Authorization:
        Bearer {{YOUR_SECRET_KEY}}"`).

````

Built with [Mintlify](https://mintlify.com).